Cyberduck Mountain Duck CLI

#944 closed defect (fixed)

Cyberduck Version 2.6.2 (2396) crashes after reading a directory with large amount of files.

Reported by: securespace Owned by: dkocher
Priority: high Milestone: 2.7
Component: core Version: 2.6.2
Severity: critical Keywords: large directory
Cc: Architecture:
Platform: Mac OS X 10.6

Description

Cyberduck Version 2.6.2 (2396) crashes after reading a directory with large amount of files.

In details I am trying to get to a large directory with many files (around 500).

It is taking ages for cyberduck to get the directory list (about 4 min but Fetch is getting there for 2 seconds)

Then once the directory list is displayed double click on any of the directories or files is not working. Basically any action apart from force quit is not possible.

Change History (5)

comment:1 Changed on Oct 23, 2006 at 11:40:27 PM by securespace

The transfer type is SFTP in passive mode. There is no problem with other SFTP/FTP clients on the same server and directory.

comment:2 Changed on Oct 25, 2006 at 10:00:35 AM by dkocher

  • Milestone set to 2.6.3
  • Status changed from new to assigned

Can you check this against the latest nightly build (curently 2518) at http://update.cyberduck.ch/nightly/. Thanks!

comment:3 Changed on Oct 25, 2006 at 10:23:22 AM by dkocher

668646 [Thread-19] DEBUG ch.cyberduck.core.Session  - activityStopped
NSRangeException: *** -[NSCFArray removeObjectAtIndex:]: index (1) beyond bounds (1)
	at com.apple.cocoa.foundation.NSMutableAttributedString.appendAttributedString(Native Method)
	at ch.cyberduck.ui.cocoa.CDBrowserController$46.log(Unknown Source)
	at ch.cyberduck.core.Session.log(Unknown Source)
	at ch.cyberduck.core.ftp.FTPSession.access$200(Unknown Source)
	at ch.cyberduck.core.ftp.FTPSession$1.logReply(Unknown Source)
	at com.enterprisedt.net.ftp.FTPControlSocket.log(Unknown Source)
	at com.enterprisedt.net.ftp.FTPClient.dir(Unknown Source)
	at ch.cyberduck.core.ftp.FTPPath.list(Unknown Source)
	at ch.cyberduck.core.Path.list(Unknown Source)
	at ch.cyberduck.ui.cocoa.CDBrowserController.setWorkdir(Unknown Source)
	at ch.cyberduck.ui.cocoa.CDBrowserController$34.run(Unknown Source)
	at ch.cyberduck.ui.cocoa.CDBrowserController$37.run(Unknown Source)

comment:4 Changed on Oct 26, 2006 at 1:12:11 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

This is most probably related to the logging feature. The transcript will be removed in a future commit and replaced by the new error reporting feature which should make this problem disappear.

comment:5 Changed on May 4, 2010 at 1:54:09 PM by bascorp

  • Platform set to Mac OS X 10.6
Note: See TracTickets for help on using tickets.
swiss made software